Skip to main content

deleteAsset

Delete an asset

deleteAsset(
input: DeleteAssetInput!
): DeleteAssetPayload

Arguments

deleteAsset.input ● DeleteAssetInput! non-null input

Parameters for DeleteAsset

Type

DeleteAssetPayload object

Autogenerated return type of DeleteAsset.

Example request

This generated mutation uses placeholders for required values. Replace them with values available to your API key before running it.

Before you run it

Run the companies query first and use data.companies.collection[].id as companyId.

curl --request POST https://api.convisoappsec.com/graphql \
--header "x-api-key: $CONVISO_API_KEY" \
--header "content-type: application/json" \
--data '{"query":"mutation MutateDeleteAsset($input: DeleteAssetInput!) {\n deleteAsset(input: $input) { asset { collection { __typename } metadata { __typename } } clientMutationId }\n}","variables":{"input":{"companyId":"<company_id>"}}}'

Contribute to the Docs

Found something outdated or missing? Help us improve the documentation with a quick suggestion or edit.

How to contribute

Resources

By exploring our content, you'll find resources that will enhance your understanding of the importance of a Security Application Program.

Conviso Blog: Explore our blog, which offers a collection of articles and posts covering a wide range of AppSec topics. The content on the blog is primarily in English.

Conviso's YouTube Channel: Access a wealth of informative videos covering various topics related to AppSec. Please note that the content is primarily in Portuguese.